/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.antragraum;

import java.time.ZonedDateTime;

import de.ozgcloud.nachrichten.postfach.PostfachAddress;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder(toBuilder = true)
class RueckfrageHead {

	private String id;
	private String vorgangId;
	private String vorgangName;
	private String vorgangNummer;

	private PostfachAddress postfachAddress;
	private ZonedDateTime sentAt;
	private ZonedDateTime answeredAt;

	@Builder.Default
	private RueckfrageStatus status = RueckfrageStatus.NEW;

	private String trustLevel;
	private boolean accessible;
}