/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.attributes;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Service("nachrichtenClientAttributeService")
public class ClientAttributeService {

	static final String ATTRIBUTE_NAME_HAS_POSTFACH_NACHRICHT = "hasPostfachNachricht";

	static final String ATTRIBUTE_NAME_HAS_NEW_POSTFACH_NACHRICHT = "hasNewPostfachNachricht";

	@Autowired
	private ClientAttributeRemoteService remoteService;

	@Async
	public void setHasPostfachNachricht(String vorgangId) {
		remoteService.setBooleanReadOnlyClientAttribute(vorgangId, ATTRIBUTE_NAME_HAS_POSTFACH_NACHRICHT, true);
	}

	@Async
	public void setHasNewPostfachNachricht(String vorgangId) {
		remoteService.setBooleanWriteableClientAttribute(vorgangId, ATTRIBUTE_NAME_HAS_NEW_POSTFACH_NACHRICHT, true);
	}
}
