/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.antragraum;

import java.util.List;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;

public class GrpcRueckfrageAnswerTestFactory {
	static final String RUECKFRAGE_ID = UUID.randomUUID().toString();
	static final String TEXT = LoremIpsum.getInstance().getParagraphs(2, 4);
	static final List<String> ATTACHMENT_ID_LIST = List.of(UUID.randomUUID().toString());

	static GrpcRueckfrageAnswer create() {
		return createBuilder().build();
	}

	static GrpcRueckfrageAnswer.Builder createBuilder() {
		return GrpcRueckfrageAnswer.newBuilder()
				.setRueckfrageId(RUECKFRAGE_ID)
				.setAnswerText(TEXT)
				.addAllAttachmentFileId(ATTACHMENT_ID_LIST)
				.setSentAt(PostfachNachrichtTestFactory.SENT_AT_STR);
	}
}
