/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.info;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.ozgcloud.info.nachricht.GrpcNachricht;
import de.ozgcloud.nachrichten.postfach.osi.MessageTestFactory;

class InfomanagerNachrichtMapperTest {

	private InfomanagerNachrichtMapper mapper = Mappers.getMapper(InfomanagerNachrichtMapper.class);

	@Test
	void shouldMapPostfachId() {
		var result = map();

		assertThat(result.getPostfachId()).isEqualTo(MessageTestFactory.POSTFACH_ID);
	}

	@Test
	void shouldMapNachrichtenManagerUrl() {
		var result = map();

		assertThat(result.getNachrichtenListUrl()).isEqualTo(InfoManagerRequestTestFactory.NACHRICHTEN_MANAGER_URL);
	}

	private GrpcNachricht map() {
		return mapper.toGrpc(InfoManagerRequestTestFactory.create());
	}
}