/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.postfach.bayernid;

import de.ozgcloud.nachrichten.postfach.bayernid.Absender.AbsenderBuilder;

public class AbsenderTestFactory {
	public static final String POSTKORB_ID="28721c6f-b78f-4d5c-a048-19fd2fc429d2";
	public static final String NAME="test name";
	public static final String ANSCHRIFT="Niemalsgasse 5, 99999 Irgendwo Stadt";
	public static final String DIENST="Stadtverwaltung";
	public static final String MANDANT="Fürth";
	public static final String GEMEINDE_SCHLUESSEL="09563000";

	public static Absender create(){
		return createBuilder().build();
	}

	public static AbsenderBuilder createBuilder(){
		return Absender.builder()
				.postkorbId(POSTKORB_ID)
				.name(NAME)
				.anschrift(ANSCHRIFT)
				.dienst(DIENST)
				.mandant(MANDANT)
				.gemeindeSchluessel(GEMEINDE_SCHLUESSEL);
	}
}
