/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.postfach.bayernid;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import de.ozgcloud.nachrichten.file.AttachmentFileTestFactory;
import de.ozgcloud.nachrichten.postfach.bayernid.BayernIdAttachment.BayernIdAttachmentBuilder;

public class BayernIdAttachmentTestFactory {

	public final static String FILENAME = AttachmentFileTestFactory.NAME;
	public final static String CONTENT_TYPE = AttachmentFileTestFactory.CONTENT_TYPE;
	public static final byte[] CONTENT = "test".getBytes();
	public static final long SIZE = 4L;

	public static BayernIdAttachment create() {
		return createBuilder().build();
	}

	public static BayernIdAttachmentBuilder createBuilder() {
		return BayernIdAttachment.builder()
				.fileName(FILENAME)
				.content(new ByteArrayInputStream(CONTENT))
				.contentType(CONTENT_TYPE);
	}

	public static InputStream getContentStream() {
		return new ByteArrayInputStream(CONTENT);
	}
}
