/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.postfach.bayernid;

import de.akdb.egov.bsp.nachrichten.AbsenderType;
import de.akdb.egov.bsp.nachrichten.EmpfaengerType;
import de.akdb.egov.bsp.nachrichten.IdentifikationNachrichtType;
import de.akdb.egov.bsp.nachrichten.NachrichtenKopfType;
import lombok.val;

public class NachrichtenKopfTypeTestFactory {
	public static final IdentifikationNachrichtType IDENTIFIKATION_NACHRICHT_TYPE = IdentifikationNachrichtTypeTestFactory.create();
	public static final AbsenderType ABSENDER_TYPE = AbsenderTypeTestFactory.create();
	public static final EmpfaengerType EMPFAENGER_TYPE = EmpfaengerTypeTestFactory.create();

	public static NachrichtenKopfType create() {
		val nachrichtenKopfType = new NachrichtenKopfType();
		nachrichtenKopfType.setIdentifikationNachricht(IDENTIFIKATION_NACHRICHT_TYPE);
		nachrichtenKopfType.setAbsender(ABSENDER_TYPE);
		nachrichtenKopfType.setEmpfaenger(EMPFAENGER_TYPE);
		return nachrichtenKopfType;
	}

}
